/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import { NavbarColorOptions } from "../colorOptionTypes";
export declare const getCurrentColorsNavbar: (darkmodeIsEnabled: boolean, customColorsDisabledInCurrentMode: boolean, navbarColorOptions: NavbarColorOptions) => {
    backgroundColor: string;
    legalDocumentsIconColor: string;
    navbarCollapseArrowColor: string;
    scrollbarColor: string;
    content: {
        insideActiveGroupColor: string;
        default: {
            tabBackgroundDefaultColor: string;
            tabFontDefaultColor: string;
            tabIconDefaultColor: string;
            groupBackgroundDefaultColor: string;
            groupFontDefaultColor: string;
            groupIconDefaultColor: string;
            groupArrowDefaultColor: string;
        };
        hover: {
            tabBackgroundHoverColor: string;
            tabFontHoverColor: string;
            tabIconHoverColor: string;
            groupBackgroundHoverColor: string;
            groupFontHoverColor: string;
            groupIconHoverColor: string;
            groupArrowHoverColor: string;
        };
        active: {
            tabBackgroundActiveColor: string;
            tabFontActiveColor: string;
            tabIconActiveColor: string;
            groupBackgroundActiveColor: string;
            groupFontActiveColor: string;
            groupIconActiveColor: string;
            groupArrowActiveColor: string;
        };
    };
};
