/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

import { BLACK, BLUE0, BLUE3, GREY1, GREY4, GREY5, GREY6, GREY_MENU_SPECIAL_1, WHITE } from "../constants";

//. Header
export const LIGHT_HEADER_BACKGROUND_COLOR = BLUE0;
export const DARK_HEADER_BACKGROUND_COLOR = GREY6;
export const LIGHT_HEADER_SETTINGS_ICON_COLOR = WHITE;
export const DARK_HEADER_SETTINGS_ICON_COLOR = WHITE;
export const LIGHT_HEADER_USER_ICON_COLOR = WHITE;
export const DARK_HEADER_USER_ICON_COLOR = WHITE;

//. Navbar
//# Background Colors
//+ Navbar itself
export const LIGHT_NAV_BACKGROUND_COLOR = WHITE;
export const DARK_NAV_BACKGROUND_COLOR = GREY6;

//+ Tabs
export const LIGHT_NAV_TAB_BACKGROUND_DEFAULT_COLOR = WHITE;
export const DARK_NAV_TAB_BACKGROUND_DEFAULT_COLOR = GREY6;
export const LIGHT_NAV_TAB_BACKGROUND_HOVER_COLOR = GREY_MENU_SPECIAL_1;
export const DARK_NAV_TAB_BACKGROUND_HOVER_COLOR = GREY5;
export const LIGHT_NAV_TAB_BACKGROUND_ACTIVE_COLOR = BLUE0;
export const DARK_NAV_TAB_BACKGROUND_ACTIVE_COLOR = GREY4;

//+ Groups
export const LIGHT_NAV_GROUP_BACKGROUND_DEFAULT_COLOR = WHITE;
export const DARK_NAV_GROUP_BACKGROUND_DEFAULT_COLOR = GREY6;
export const LIGHT_NAV_GROUP_BACKGROUND_HOVER_COLOR = GREY_MENU_SPECIAL_1;
export const DARK_NAV_GROUP_BACKGROUND_HOVER_COLOR = GREY5;
export const LIGHT_NAV_GROUP_BACKGROUND_ACTIVE_COLOR = GREY_MENU_SPECIAL_1;
export const DARK_NAV_GROUP_BACKGROUND_ACTIVE_COLOR = GREY5;

//+ Grouped Tabs
export const LIGHT_NAV_BACKGROUND_INSIDE_ACTIVE_GROUP_COLOR = GREY1;
export const DARK_NAVBAR_BACKGROUND_INSIDE_ACTIVE_GROUP_COLOR = BLACK;

//# Font colors
//+ Tabs
export const LIGHT_NAV_TAB_FONT_DEFAULT_COLOR = BLUE0;
export const DARK_NAV_TAB_FONT_DEFAULT_COLOR = GREY1;
export const LIGHT_NAV_TAB_FONT_HOVER_COLOR = BLUE0;
export const DARK_NAV_TAB_FONT_HOVER_COLOR = GREY1;
export const LIGHT_NAV_TAB_FONT_ACTIVE_COLOR = WHITE;
export const DARK_NAV_TAB_FONT_ACTIVE_COLOR = WHITE;

//+ Groups
export const LIGHT_NAV_GROUP_FONT_DEFAULT_COLOR = BLUE0;
export const DARK_NAV_GROUP_FONT_DEFAULT_COLOR = GREY1;
export const LIGHT_NAV_GROUP_FONT_HOVER_COLOR = BLUE0;
export const DARK_NAV_GROUP_FONT_HOVER_COLOR = GREY1;
export const LIGHT_NAV_GROUP_FONT_ACTIVE_COLOR = BLUE0;
export const DARK_NAV_GROUP_FONT_ACTIVE_COLOR = GREY1;

//# Icon colors
//+ Tab icons
export const LIGHT_NAV_TAB_ICON_DEFAULT_COLOR = BLUE0;
export const DARK_NAV_TAB_ICON_DEFAULT_COLOR = GREY1;
export const LIGHT_NAV_TAB_ICON_HOVER_COLOR = BLUE0;
export const DARK_NAV_TAB_ICON_HOVER_COLOR = GREY1;
export const LIGHT_NAV_TAB_ICON_ACTIVE_COLOR = WHITE;
export const DARK_NAV_TAB_ICON_ACTIVE_COLOR = WHITE;

//+ Group icons
export const LIGHT_NAV_GROUP_ICON_DEFAULT_COLOR = BLUE0;
export const DARK_NAV_GROUP_ICON_DEFAULT_COLOR = GREY1;
export const LIGHT_NAV_GROUP_ICON_HOVER_COLOR = BLUE0;
export const DARK_NAV_GROUP_ICON_HOVER_COLOR = GREY1;
export const LIGHT_NAV_GROUP_ICON_ACTIVE_COLOR = BLUE0;
export const DARK_NAV_GROUP_ICON_ACTIVE_COLOR = GREY1;

//+ Group arrows
export const LIGHT_NAV_GROUP_ARROW_DEFAULT_COLOR = BLUE0;
export const DARK_NAV_GROUP_ARROW_DEFAULT_COLOR = GREY1;
export const LIGHT_NAV_GROUP_ARROW_HOVER_COLOR = BLUE0;
export const DARK_NAV_GROUP_ARROW_HOVER_COLOR = GREY1;
export const LIGHT_NAV_GROUP_ARROW_ACTIVE_COLOR = BLUE0;
export const DARK_NAV_GROUP_ARROW_ACTIVE_COLOR = GREY1;

//# Other
// Legal documents icon
export const LIGHT_NAV_LEGAL_DOCS_ICON_COLOR = BLUE3;
export const DARK_NAV_LEGAL_DOCS_ICON_COLOR = BLUE3;
export const LIGHT_NAV_SCROLLBAR_COLOR = GREY1;
export const DARK_NAV_SCROLLBAR_COLOR = GREY1;

// Color of navigation collapse arrow
export const LIGHT_NAV_COLLAPSE_ARROW_COLOR = BLUE0;
export const DARK_NAV_COLLAPSE_ARROW_COLOR = GREY4;

//. Content area
export const LIGHT_CONTENT_AREA_BACKGROUND_COLOR = GREY1;
export const DARK_CONTENT_AREA_BACKGROUND_COLOR = BLACK;

//. Content bar
export const LIGHT_CONTENT_BAR_BACKGROUND_COLOR = WHITE;
export const DARK_CONTENT_BAR_BACKGROUND_COLOR = GREY6;

// Default color for arrows in content bar
export const LIGHT_CONTENT_BAR_ICON_DEFAULT_COLOR = BLUE0;
export const DARK_CONTENT_BAR_ICON_DEFAULT_COLOR = GREY1;

// Hover color for arrows in content bar
export const LIGHT_CONTENT_BAR_ICON_HOVER_COLOR = BLUE0;
export const DARK_CONTENT_BAR_ICON_HOVER_COLOR = GREY1;

// Background of arrows and of the + symbol inside the content bar
export const LIGHT_CONTENT_BAR_BUTTON_DEFAULT_COLOR = WHITE;
export const DARK_CONTENT_BAR_BUTTON_DEFAULT_COLOR = GREY6;
export const LIGHT_CONTENT_BAR_BUTTON_HOVER_COLOR = GREY_MENU_SPECIAL_1;
export const DARK_CONTENT_BAR_BUTTON_HOVER_COLOR = GREY5;

//# Content tabs
export const LIGHT_CONTENT_TAB_BACKGROUND_DEFAULT_COLOR = WHITE;
export const DARK_CONTENT_TAB_BACKGROUND_DEFAULT_COLOR = GREY6;
export const LIGHT_CONTENT_TAB_BACKGROUND_HOVER_COLOR = GREY_MENU_SPECIAL_1;
export const DARK_CONTENT_TAB_BACKGROUND_HOVER_COLOR = GREY5;
export const LIGHT_CONTENT_TAB_BACKGROUND_ACTIVE_COLOR = BLUE0;
export const DARK_CONTENT_TAB_BACKGROUND_ACTIVE_COLOR = GREY4;
export const LIGHT_CONTENT_TAB_TEXT_DEFAULT_COLOR = BLUE0;
export const DARK_CONTENT_TAB_TEXT_DEFAULT_COLOR = GREY1;
export const LIGHT_CONTENT_TAB_TEXT_HOVER_COLOR = BLUE0;
export const DARK_CONTENT_TAB_TEXT_HOVER_COLOR = GREY1;
export const LIGHT_CONTENT_TAB_TEXT_ACTIVE_COLOR = WHITE;
export const DARK_CONTENT_TAB_TEXT_ACTIVE_COLOR = GREY1;
export const LIGHT_CONTENT_TAB_ICON_DEFAULT_COLOR = GREY4;
export const DARK_CONTENT_TAB_ICON_DEFAULT_COLOR = GREY4;
export const LIGHT_CONTENT_TAB_ICON_HOVER_COLOR = BLUE0;
export const DARK_CONTENT_TAB_ICON_HOVER_COLOR = GREY4;
export const LIGHT_CONTENT_TAB_ICON_ACTIVE_COLOR = WHITE;
export const DARK_CONTENT_TAB_ICON_ACTIVE_COLOR = WHITE;

//. Content cell
export const LIGHT_CONTENT_CELL_BACKGROUND_COLOR = WHITE;
export const DARK_CONTENT_CELL_BACKGROUND_COLOR = GREY6;

//. Authentication view
export const LIGHT_AUTH_HEADER_BACKGROUND_COLOR = BLUE0;
export const DARK_AUTH_HEADER_BACKGROUND_COLOR = GREY5;
export const LIGHT_AUTH_FULL_SCREEN_BACKGROUND_COLOR = "inherit";
export const DARK_AUTH_FULL_SCREEN_BACKGROUND_COLOR = "inherit";
export const LIGHT_AUTH_LOGIN_BUTTON_BACKGROUND_COLOR = BLUE3;
export const DARK_AUTH_LOGIN_BUTTON_BACKGROUND_COLOR = BLUE3;
export const LIGHT_AUTH_LOGIN_BUTTON_TEXT_COLOR = WHITE;
export const DARK_AUTH_LOGIN_BUTTON_TEXT_COLOR = WHITE;
export const LIGHT_AUTH_LEGAL_NOTICE_ICON_COLOR = BLUE3;
export const DARK_AUTH_LEGAL_NOTICE_ICON_COLOR = BLUE3;
export const LIGHT_AUTH_LOGIN_FORM_BACKGROUND_COLOR = WHITE;
export const DARK_AUTH_LOGIN_FORM_BACKGROUND_COLOR = GREY5;
export const LIGHT_AUTH_COMPANY_TEXT_COLOR = BLACK;
export const DARK_AUTH_COMPANY_TEXT_COLOR = WHITE;
export const LIGHT_AUTH_INPUT_FIELD_BACKGROUND_COLOR = WHITE;
export const DARK_AUTH_INPUT_FIELD_BACKGROUND_COLOR = GREY5;
export const LIGHT_AUTH_INPUT_FIELD_DESCRIPTION_COLOR = BLACK;
export const DARK_AUTH_INPUT_FIELD_DESCRIPTION_COLOR = WHITE;
export const LIGHT_AUTH_INPUT_FIELD_TEXT_COLOR = BLACK;
export const DARK_AUTH_INPUT_FIELD_TEXT_COLOR = WHITE;
export const LIGHT_AUTH_PW_REQUIREMENTS_COLOR = BLACK;
export const DARK_AUTH_PW_REQUIREMENTS_COLOR = WHITE;
export const LIGHT_AUTH_THEME_TOGGLER_COLOR = BLACK;
export const DARK_AUTH_THEME_TOGGLER_COLOR = WHITE;