/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import React, { Component } from "react";
import { AuthenticationProvider, Credentials, UserDataBasic } from "../../../contexts/auth";
export interface Props {
    additionalContextValues?: {
        [key: string]: any;
    };
}
export interface State {
    hasAuthenticated: boolean;
    userData: UserDataBasic | undefined;
    isRefreshing: boolean;
}
export declare class DummyAuthenticationProvider extends Component<React.PropsWithChildren<Props>, State> implements AuthenticationProvider {
    constructor(props: React.PropsWithChildren<Props>);
    fetchAuthed: (url: string, settings?: object) => Promise<Response>;
    login: (credentials: Credentials) => void;
    logout: () => void;
    hasAuthenticated: () => boolean;
    getUserData: () => any;
    isRefreshing: () => boolean;
    render(): import("react/jsx-runtime").JSX.Element;
}
