/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import { PropsWithChildren } from "react";
import "../css/globalColors.css";
import "./contentCell.css";
export declare enum CellPaddings {
    FULL = 0,
    VERT_RIGHT = 1,
    BOT_HOR = 2,
    BOT_RIGHT = 3,
    NONE = 4
}
export interface Props {
    height?: string;
    colWidth?: number;
    clearStyle?: boolean;
    paddings: CellPaddings;
}
export declare function ContentCell(props: PropsWithChildren<Props>): import("react/jsx-runtime").JSX.Element;
