/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import { ReactElement } from "react";
import "./header.css";
import "../css/globalColors.css";
import { SettingsMenuOptions } from "./settingsMenu";
import { UserMenuOptions } from "./userMenu";
export interface HeaderOptions {
    reactElementRight?: ReactElement;
    reactElementLeft?: ReactElement;
    hideLeft?: boolean;
    hideRight?: boolean;
    hideUserIcon?: boolean;
    headerElements?: ReactElement[];
}
interface Props {
    headerOptions?: HeaderOptions;
    settingsMenuOptions?: SettingsMenuOptions;
    userMenuOptions?: UserMenuOptions;
}
export declare const Header: (props: Props) => import("react/jsx-runtime").JSX.Element;
export {};
