/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

import React, { useContext } from "react";
import { ColorSettingsContext } from "../../contexts/colorsettings";
import { useTranslator } from "../internationalization/translators";
import "../css/globalColors.css";
export const ImprintText = () => {
  const t = useTranslator();
  const colorSettingsContext = useContext(ColorSettingsContext);
  return /*#__PURE__*/React.createElement("div", {
    className: colorSettingsContext?.darkmode ? "bg-grey-6 color-white" : "bg-white-1 color-black"
  }, /*#__PURE__*/React.createElement("p", {
    className: "font-bold"
  }, t("Imprint")), /*#__PURE__*/React.createElement("span", null, "IAV GmbH Ingenieurgesellschaft Auto und Verkehr"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Carnotstra\xDFe 1"), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "10587 Berlin"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Germany")), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Tel.: +49 30 3997-80"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Fax: +49 30 3997-89926"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", {
    lang: "EN-GB"
  }, "E-Mail: impressum[at]iav.com"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Internet"), ":", " ", /*#__PURE__*/React.createElement("a", {
    href: "http://www.iav.com",
    className: colorSettingsContext?.darkmode ? "color-blue-3" : ""
  }, "www.iav.com")), " ", /*#__PURE__*/React.createElement("br", null), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Headquarter"), ": Berlin"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Register_court"), ": Amtsgericht Charlottenburg"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Registration_number"), ": HRB 21 280 B"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("USt_Ident_Number"), ": DE 136647090"), " ", /*#__PURE__*/React.createElement("br", null), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Managing_directors")), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "J\xF6rg Astalosch (", t("Chairman"), ")"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Martin Mahlke"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Jens Pfitzinger"), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, t("Chairman_supervisory_board")), " ", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("span", null, "Dr. Nikolai Ardey"), " ", /*#__PURE__*/React.createElement("br", null));
};