/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import React from "react";
import { InjectedOptionsByGroupToWrapper } from "../types/typesInjectedOptions";
import { InjectedOptionsGroupableByWrapperToTab } from "../types/typesInjectedOptions";
import { InjectedOptionsByNavbarToWrapper } from "../types/typesInjectedOptions";
import { ContentWrapperGeneralization } from "./contentWrapperGeneralization";
import { GroupableTabAndContentWrapper } from "./typesWrappers";
import { ComponentTypeMinProps } from "../../../types/typesReact";
import { InjectedOptionsObject } from "../types/typesInjectedOptions";
export declare class BasicContentWrapper extends ContentWrapperGeneralization implements GroupableTabAndContentWrapper {
    protected _path: string;
    protected _navbarTab: ComponentTypeMinProps<InjectedOptionsObject<InjectedOptionsGroupableByWrapperToTab>>;
    protected _component: React.ComponentType;
    private _insideGroup;
    constructor(_path: string, _navbarTab: ComponentTypeMinProps<InjectedOptionsObject<InjectedOptionsGroupableByWrapperToTab>>, _component: React.ComponentType);
    getNavbarComponent: (navbarInjectedOptions: InjectedOptionsByNavbarToWrapper | InjectedOptionsByGroupToWrapper) => import("react/jsx-runtime").JSX.Element;
    getInsideGroup: () => boolean;
    setInsideGroup: (insideGroup: boolean) => void;
}
