/**
 * Copyright © 2024 IAV GmbH Ingenieurgesellschaft Auto und Verkehr, All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */
import { JWT } from "aws-amplify/auth";
import { Credentials } from "../contexts/auth";
export declare function cognitoLogin(credentials: Credentials, failOnNoLegalGroup?: boolean, legalGroups?: string[]): Promise<{}>;
export declare function cognitoLogout(): Promise<void>;
export declare function cognitoCheckIsAuthenticated(failOnNoLegalGroup?: boolean, legalGroups?: string[]): Promise<ValidUserInformation | undefined>;
export declare function cognitoCompletePassword(newPassword: string, failOnNoLegalGroup?: boolean, legalGroups?: string[]): Promise<ValidUserInformation | undefined>;
export declare function cognitoRefreshToken(failOnNoLegalGroup?: boolean, legalGroups?: string[]): Promise<ValidUserInformation>;
export declare class ValidUserInformation {
    idToken: JWT;
    accessToken: JWT;
    username: string;
    groups: string[];
    constructor(idToken: JWT, accessToken: JWT, username: string, groups: string[]);
}
